Subject: Re: [ogpx] Updated deployment and trust draft posted

From: Carlo Wood <[email-masked]>
Date: Sat, 6 Mar 2010 14:25:08 +0100

Sorry for the late reply, but I couldn't find much time lately,

On Wed, Feb 24, 2010 at 11:15:02AM -0800, Infinity Linden (Meadhbh Hamrick) wrote:
> in a related issue. we use the term "client application" for an app that
> accesses services. the most visible client application is the one that renders
> the virtual world for the user. i think this kind of application is
> traditionally called a "user agent" in other IETF protocols. so...
> 
> question : does it make sense to introduce the concept of a "user agent" as the
> client application that is intended to have direct interaction with the user?  
> i think it would be good to explain that "clients" or "client applications" do
> not always have to be "user agents." if so, lemme modify the intro doc to
> reflect it.

I don't think rendering or having interaction with a human has anything to do
with VWRAP, I'd define a "user agent" as "end point"; in theory, such an end
point could be not the application that renders, it could be bot that has
no rendering or human interaction at all.

I'm ok with still using the word "user" in "user agent", but some clarification
is indeed necessary then. On the other hand, I have no problem understanding
"client application" at all. The use of "user agent" in it's place seems
only confusing to me.

-- 
Carlo Wood <[email-masked]>

---

From: Meadhbh Hamrick <[email-masked]>
Date: Sat, 6 Mar 2010 08:23:29 -0800

kk. thx for the feedback.

<joke>
maybe i'll edit the docs to define &USERAGENT; and &CLIENTAPPLICATION;
entities and replace all references of "user agent" and "client
application with them. then if we decide we want to use the term
"client application" for both, we just have to edit one line.
</joke>

--
meadhbh hamrick * it's pronounced "maeve"
@OhMeadhbh * http://meadhbh.org/ * [email-masked]

On Sat, Mar 6, 2010 at 5:25 AM, Carlo Wood <[email-masked]> wrote:
> _______________________________________________
> ogpx mailing list (VWRAP working group)
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ogpx
>